#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( data )
add_subdirectory( app_templates )
add_subdirectory( file_templates )
add_subdirectory( doc )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kdevphpsupport.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

install( FILES kdevphpsupport.rc DESTINATION ${DATA_INSTALL_DIR}/kdevphpsupport )
install( FILES phptemplates DESTINATION ${DATA_INSTALL_DIR}/kdevabbrev/templates )


##### libkdevphpsupport (module) ################

tde_add_kpart( libkdevphpsupport AUTOMOC
  SOURCES
    phpsupportpart.cpp phpconfigwidgetbase.ui
    phpconfigwidget.cpp phpinfodlg.ui phphtmlview.cpp
    phperrorview.cpp phpconfigdata.cpp phpcodecompletion.cpp
    phpparser.cpp phpnewclassdlgbase.ui phpnewclassdlg.cpp
    phpfile.cpp
  LINK kdevwidgets-shared tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
